Name: ptpd
Version: 2.3.0	
Release: 3%{?dist}
Summary: PTPd implements the Precision Time protocol (PTP) as defined by the IEEE 1588

Group: System Environment/Daemons
License: BSD
URL: http://ptpd.sourceforge.net/

Source0: http://sourceforge.net/projects/ptpd/files/ptpd/2.3.0/ptpd-2.3.0.tar.gz
Source1: ptpd2.service
Source2: ptpd2
Source3: ptpd2.conf

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd libpcap-devel%{?_isa} net-snmp-devel%{?_isa} openssl-devel%{?_isa} zlib-devel%{?_isa} libtool%{_isa} autoconf automake
Requires: libpcap%{?_isa} net-snmp%{?_isa} openssl%{?_isa} zlib%{?_isa}

%description
The PTP daemon (PTPd) implements the Precision Time protocol (PTP) as defined 
by the relevant IEEE 1588 standard. PTP was developed to provide very precise
time coordination of LAN connected computers.

PTPd is a complete implementation of the IEEE 1588 specification for a standard 
(non-boundary) clock. PTPd has been tested with and is known to work properly 
with other IEEE 1588 implementations.

%prep
%setup -q

%build
autoreconf -vif
%configure --enable-statistics --enable-ntpdc --enable-sigusr2=counters
CFLAGS="%{optflags}" make %{?__global_ldflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_mandir}/man{5,8}
mkdir -p %{buildroot}%{_datadir}/snmp/mibs
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_localstatedir}/log

install -pm 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -pm 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig
install -pm 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}
install -pm 755 src/ptpd2 %{buildroot}%{_bindir}
install -pm 644 src/ptpd2.8 %{buildroot}%{_mandir}/man8/
install -pm 644 src/ptpd2.conf.5 %{buildroot}%{_mandir}/man5/
# have to create the below, else ptpd will not log drift
touch %{buildroot}%{_localstatedir}/log/ptpd2_kernelclock.drift

%post
%systemd_post ptpd2.service

%preun
%systemd_preun ptpd2.service

%postun
%systemd_postun_with_restart ptpd2.service
/sbin/ldconfig

%files
%config(noreplace) %{_sysconfdir}/sysconfig/ptpd2
%config(noreplace) %{_sysconfdir}/ptpd2.conf
%{_unitdir}/*
%{_bindir}/*
%doc COPYRIGHT ChangeLog README
%{_mandir}/man8/*
%{_mandir}/man5/*
%{_datadir}/snmp/mibs
%config %{_localstatedir}/log/ptpd2_kernelclock.drift

%changelog
* Sat Jun 28 2014 Jon Kent - 2.3.0-3
- Sync up release with rawhide

* Sat Jun 28 2014 Jon Kent - 2.3.0-1
- First release of ptpd for epel7

